%define srcname SQLObject

%define rel     2

Name:           python-sqlobject
Version:        2.1.2
Release:        %mkrel %{rel}
Summary:        SQLObject Object-Relational Manager, aka database wrapper
Group:          Development/Python
License:        LGPLv2+
URL:            http://sqlobject.org/
Source0:        http://pypi.python.org/packages/source/S/SQLObject/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  pkgconfig(python-2.7)
BuildRequires:  pythonegg(2)(setuptools)
BuildRequires:  pythonegg(2)(formencode)

Requires:       pythonegg(2)(mysql-python)

%description
Classes created using SQLObject wrap database rows, presenting a
friendly-looking Python object instead of a database/SQL interface.
Emphasizes convenience.  Works with MySQL, Postgres, SQLite, Firebird.

This package requires sqlite. Futher database connectors have to be
installed separately.


%files
%doc PKG-INFO README.txt docs/*
%{python2_sitelib}/*
%{_bindir}/*

#------------------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}

chmod 0644 docs/rebuild

%build
%py2_build

%install
%py2_install


%changelog
* Sat Feb 20 2016 umeabot <umeabot> 2.1.2-2.mga6
+ Revision: 971138
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 daviddavid <daviddavid> 2.1.2-1.mga6
+ Revision: 889351
- new version: 2.1.2
- use new python2 macros

* Wed Oct 15 2014 umeabot <umeabot> 1.3.2-7.mga5
+ Revision: 751054
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.3.2-6.mga5
+ Revision: 729837
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.3.2-5.mga5
+ Revision: 688353
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.3.2-3.mga4
+ Revision: 544245
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.3.2-2.mga4
+ Revision: 499459
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Feb 09 2013 mikala <mikala> 1.3.2-1.mga3
+ Revision: 397653
- imported package python-sqlobject

